Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.ray
Class RaytracerLeaf

    java.lang.Object
      de.grogra.imp3d.objects.SceneTree.Node
          de.grogra.imp3d.objects.SceneTree.Leaf
              de.grogra.imp3d.objects.SceneTreeWithShader.Leaf
                  de.grogra.imp3d.ray.RaytracerLeaf

Direct Known Subclasses:
  RTAreaLight, RTBox, RTCone, RTCylinder, RTDirectionalLight, RTFrustum, RTParallelogram, RTPlane, RTPointLight, RTSky, RTSphere, RTSpotLight

    public class RaytracerLeaf

extends SceneTreeWithShader.Leaf

Field Summary

Fields inherited from class de.grogra.imp3d.objects.SceneTreeWithShader.Leaf
`interior, shader`

Fields inherited from class de.grogra.imp3d.objects.SceneTree.Leaf
`asNode, object, pathId`

Fields inherited from class de.grogra.imp3d.objects.SceneTree.Node
`next`

Constructor Summary
`RaytracerLeaf(java.lang.Object object, boolean asNode, long pathId)`

Method Summary
`RTMedium` | `getMedium()`
`RTMedium` | `getRTMedium()`
`RTShader` | `getRTShader()`
`RTShader` | `getShader()`
`Matrix4f` | `getTransformation()`
`RTObject.RTObjectUserData` | `getUserData()`
`void` | `setMedium(Interior interior)`
`void` | `setShader(Shader shader)`
`void` | `setTransformation(Matrix4f mat)`

Methods inherited from class de.grogra.imp3d.objects.SceneTreeWithShader.Leaf
`setInterior`

Methods inherited from class de.grogra.imp3d.objects.SceneTree.Leaf
`accept, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getObject, getObject, getShort, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RaytracerLeaf

    public RaytracerLeaf(java.lang.Object object,
                         boolean asNode,
                         long pathId)

Method Detail

### getMedium

    public RTMedium getMedium()

### getRTMedium

    public RTMedium getRTMedium()

### getRTShader

    public RTShader getRTShader()

### getShader

    public RTShader getShader()

### getTransformation

    public Matrix4f getTransformation()

### getUserData

    public RTObject.RTObjectUserData getUserData()

### setMedium

    public void setMedium(Interior interior)

### setShader

    public void setShader(Shader shader)

  Overrides:
    `setShader` in class `SceneTreeWithShader.Leaf`

### setTransformation

    public void setTransformation(Matrix4f mat)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD